%global namedreltag -alpha-6
%global namedversion %{version}%{?namedreltag}
Name:           mercury
Version:        1.0
Release:        0.15.alpha6%{?dist}
Summary:        Replacement for the Maven Artifact subsystem
License:        ASL 2.0
URL:            http://maven.apache.org/mercury/mercury-artifact/
# svn export http://svn.apache.org/repos/asf/maven/mercury/tags/mercury-1.0-alpha-6
# tar czf mercury-1.0-alpha-6.tar.gz mercury-1.0-alpha-6
Source0:        %{name}-%{namedversion}.tar.gz

Patch0:         0001-Make-it-build.patch
Patch1:         0001-Replace-plexus.lang-dependency-with-plexus.i18n.patch

BuildRequires:  classworlds
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  maven-local
BuildRequires:  maven-site-plugin
BuildRequires:  maven-archiver
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-wagon
BuildRequires:  plexus-archiver
BuildRequires:  plexus-compiler
BuildRequires:  plexus-digest
BuildRequires:  plexus-i18n
BuildRequires:  plexus-utils
BuildRequires:  plexus-velocity
BuildRequires:  tomcat-servlet-3.0-api
BuildRequires:  velocity

BuildArch:      noarch

%description
Maven Mercury is a replacement for the Maven Artifact subsystem, and a
complete replacement for the HTTP/HTTPS/DAV/DAVS portions of the existing
transport.

This package only contains Logging, Artifact, External Dependencies and
Event Framework. Transports, Mercury Repositories, Crypto, Metadata, Ant
Tasks, Shared Utilities, Maven resolusion comparison, Wagon provider
and Plexus Component are not provided.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
Javadoc HTML documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1 -b .build
%patch1 -p1 -b .lang

%build
find -name '*.java' -exec grep -l org.codehaus.plexus.lang '{}' \; |
        xargs perl -ni mercury-lang-i18n.pl

%mvn_file :%{name}-artifact %{name}/artifact
%mvn_file :%{name}-event %{name}/event
%mvn_file :%{name}-external %{name}/external
%mvn_file :%{name}-logging %{name}/logging

%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc release.notes.txt ./src/licenses/apache.txt

%files javadoc -f .mfiles-javadoc
%doc ./src/licenses/apache.txt

%changelog
* Sat Aug 24 2013 Mat Booth <fedora@matbooth.co.uk> - 1.0-0.15.alpha6
- Remove unneeded BR on maven2-common-poms

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.14.alpha6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 gil cattaneo <puntogil@libero.it> 1.0-0.13.alpha6
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Apr 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-0.12.alpha6
- Drop dependency on plexus-container-default
- Resolves: rhbz#950595

* Tue Feb 26 2013 gil cattaneo <puntogil@libero.it> 1.0-0.11.alpha6
- fix rhbz#915613 (removed doxia references)

* Mon Feb 18 2013 Tomas Radej <tradej@redhat.com> - 1.0-0.10.alpha6
- Removed BR on maven-shared (unnecessary + blocking maven-shared retirement)

* Mon Feb 18 2013 gil cattaneo <puntogil@libero.it> 1.0-0.9.alpha6
- fix servlet dependency (replaced servlet_2_4_api with tomcat-servlet-3.0-api)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.8.alpha6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0-0.7.alpha6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.alpha6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.alpha6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 15 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.4.alpha6
- Build with maven 3.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.alpha6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.0-0.2.alpha6
- Replace plexus.lang with plexus.i18n, as advised by upstream

* Sun Nov 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.0-0.1.alpha6
- Initial packaging
